import _common

class AAWheel(object):

    def __init__(self):
        self.apis = [
            {
                'method': 'POST',
                'name': '/api/v1/user/login',
                'desc': '登录',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/user/login',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'request_params': [
                ],
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['info', _common.WheelUser(), '用户信息'],
                    ['server_time', 0, '服务器时间'],
                ]
            },
            {
                'method': 'POST',
                'name': '/api/v1/activity/roll_dice',
                'desc': '掷骰子',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/activity/roll_dice',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'params': [
                    ['forward_point', 0, '指定前进点数(会扣除spec_dice数量,0随机)'],
                ],
                'response': [
                    _common.RspHead(),
                    ['point', 0, '点数'],
                    ['award', _common.WheelAward(), '奖励信息'],
                    ['side_effect', _common.WheelSideEffect(), '附加效应'],
                    ['award_grid', 0, '0:普通奖励;1:格子大奖']
                ]
            },
            {
                'method': 'GET',
                'name': '/api/v1/activity/claim',
                'desc': '请求格子完成大奖',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/activity/claim',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'params': [
                    
                ],
                'response': [
                    _common.RspHead(),
                    ['award', _common.WheelAward(), '奖励信息'],
                    ['side_effect', _common.WheelSideEffect(), '附加效应'],
                ]
            },
            {
                'method': 'GET',
                'name': '/api/v1/friend/list',
                'desc': '好友列表',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/friend/list',
                'headers': _common.JwtHeader,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelFriend()], '好友列表'],
                ]
            },
            {
                'method': 'GET',
                'name': '/api/v1/mission/list',
                'desc': '任务列表',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/mission/list',
                'headers': _common.JwtHeader,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelMission()], '任务列表'],
                ]
            },
            {
                'method': 'POST',
                'name': '/api/v1/mission/update',
                'desc': '更新任务进度',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/mission/update',
                'headers': _common.JwtHeader,
                'params': [
                    ['mission_id', 0, '任务id，仅限条件是前端判断的任务'],                    
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelMission()], '任务列表'],
                ]
            },
            {
                'method': 'POST',
                'name': '/api/v1/mission/claim',
                'desc': '请求任务奖励',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/mission/claim',
                'headers': _common.JwtHeader,
                'params': [
                    ['mission_id', 0, '任务id'],                    
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelMission()], '任务列表'],
                    ['award', _common.WheelAward(), '奖励信息'],
                    ['side_effect', _common.WheelSideEffect(), '附加效应'],
                ]
            },
            {
                'method': 'GET',
                'name': '/api/v1/chip/list',
                'desc': '芯片列表',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/chip/list',
                'headers': _common.JwtHeader,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelChip()], '芯片列表'],
                ]
            },
            {
                'method': 'GET',
                'name': '/api/v1/shop/goods',
                'desc': '商店-商品列表',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/shop/goods',
                'headers': _common.JwtHeader,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelGoods()], '商品列表'],
                ]
            },
            {
                'method': 'POST',
                'name': '/api/v1/shop/buy',
                'desc': '商店-购买',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/shop/buy',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'params': [
                    ['item_id', 0, '道具id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['point', 0, '点数'],
                    ['award', _common.WheelAward(), '奖励信息'],
                    ['side_effect', _common.WheelSideEffect(), '附加效应'],
                ]
            },
            {
                'method': 'POST',
                'name': '/api/v1/user/info',
                'desc': '获取用户信息',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/user/info',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'request_params': [
                ],
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['info', _common.WheelUser(), '用户信息'],
                ]
            },
            {
                'method': 'GET',
                'name': '/api/v1/buff/list',
                'desc': 'buff-列表',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/buff/list',
                'headers': _common.JwtHeader,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelBuff()], 'buff列表'],
                ]
            },
            {
                'method': 'GET',
                'name': '/api/v1/bag/list',
                'desc': '背包-道具列表',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/bag/list',
                'headers': _common.JwtHeader,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.WheelItem()], '芯片列表'],
                ]
            },
            {
                'method': 'POST',
                'name': '/api/v1/bag/use_item',
                'desc': '背包-使用道具',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/bag/use_item',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'request_params': [
                ],
                'params': [
                    ['item_uniid', 0, '道具唯一id'],
                    ['item_num', 0, '道具数量'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'method': 'POST',
                'name': '/api/v1/gm/exec_cmd',
                'desc': 'gm-指向gm指令',
                'group': '!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/gm/exec_cmd',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'request_params': [
                ],
                'params': [
                    ['cmd', '', '指令及参数']
                ],
                'response': [
                    _common.RspHead(),
                    ['text', '', '回显文字']
                ]
            },
            {
                'method': 'POST',
                'desc': '内购商店-购买',
                'name': '/api/v1/inapp_shop/purchase',
                'group': '!!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/inapp_shop/purchase',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'params': [
                    ['goods_id', '', '商品唯一id'],
                    ['goods_num', 0, '商品数量'],
                ],
                'response': [
                    _common.RspHead(),
                    ['order_id', '', '订单id'],
                ]
            },
            {
                'method': 'GET',
                'desc': '内购商店-查询订单状态',
                'name': '/api/v1/inapp_shop/order/:order_id',
                'group': '!!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/inapp_shop/order/:order_id',
                'headers': _common.JwtHeader,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                    ['data', _common.WheelInappOrder(), '订单信息'],
                ]
            },
            {
                'method': 'POST',
                'desc': '内购商店-支付成功回调',
                'name': '/api/v1/inapp_shop/callback',
                'group': '!!AAWheel',
                'url': 'https://wheel-test.kingsome.cn/api/v1/inapp_shop/callback',
                'headers': _common.JwtHeader,
                'is_json_params': True,
                'params': [
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
        ]
